読者です 読者をやめる 読者になる 読者になる

酢ろぐ!

カレーが嫌いなスマートフォンアプリプログラマのブログ。

任意のバージョンのCocoaPodsをインストールする

CocoaPodsをバージョンダウンさせる方法を知らなかったのでメモ。

任意のバージョンのCocoaPodsをインストールする

$ pod --version
0.39.0

$ sudo gem uninstall cocoapods --version '=0.39.0'
Password:
Successfully uninstalled cocoapods-0.39.0

$ sudo gem install -v 0.38.2 cocoapods
Successfully installed cocoapods-0.38.2
Parsing documentation for cocoapods-0.38.2
1 gem installed

$ pod --version
0.38.2

最新バージョンのCocoaPodsをインストールする

$ sudo gem update cocoapods
Password:
Updating installed gems
Updating cocoapods
Fetching: cocoapods-0.39.0.gem (100%)
Successfully installed cocoapods-0.39.0
Parsing documentation for cocoapods-0.39.0
Installing ri documentation for cocoapods-0.39.0
Installing darkfish documentation for cocoapods-0.39.0
Parsing documentation for cocoapods-0.39.0
Gems updated: cocoapods

$ pod --version
0.39.0